Runs¶
Endpoints related to runs.
- GET /run/¶
Get all of the runs the current user has access to
Get all of the runs the current user has access to
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
400 Bad Request – Run cannot consist of no_model_upload, and non-no_model_uload line items. The system is busy printing. Please end the current process first. The requested prints do not have their associated line_items in either confirmed or printing state. The requested prints do not have same process types belonging to process steps. All the previous steps for the order should be completed before we can process these prints.
404 Not Found – The requested run or related object cannot be found.
409 Conflict – The requested status transformation is not allowed.
- POST /run/¶
Create a new run.
Create a new run.
- Status Codes:
201 Created – Resource created successfully
400 Bad Request – Run cannot consist of no_model_upload, and non-no_model_uload line items. The system is busy printing. Please end the current process first. The requested prints do not have their associated line_items in either confirmed or printing state. The requested prints do not have same process types belonging to process steps. All the previous steps for the order should be completed before we can process these prints.
404 Not Found – The requested run or related object cannot be found.
409 Conflict – The requested status transformation is not allowed.
- Response Headers:
Location – URI of the created resource
- GET /run/{uuid}/¶
Get a single run by UUID.
Get a single run by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
400 Bad Request – Run cannot consist of no_model_upload, and non-no_model_uload line items. The system is busy printing. Please end the current process first. The requested prints do not have their associated line_items in either confirmed or printing state. The requested prints do not have same process types belonging to process steps. All the previous steps for the order should be completed before we can process these prints.
404 Not Found – The requested run or related object cannot be found.
409 Conflict – The requested status transformation is not allowed.
- PUT /run/{uuid}/¶
Update an existing run by UUID.
Update an existing run by UUID.
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
400 Bad Request – Run cannot consist of no_model_upload, and non-no_model_uload line items. The system is busy printing. Please end the current process first. The requested prints do not have their associated line_items in either confirmed or printing state. The requested prints do not have same process types belonging to process steps. All the previous steps for the order should be completed before we can process these prints.
404 Not Found – The requested run or related object cannot be found.
409 Conflict – The requested status transformation is not allowed.
- DELETE /run/{uuid}/¶
Deletes a run by UUID.
Deletes a run by UUID.
Disconnects also print objects from the deleted run, and disconnects all ‘further’ print objects from their runs. Makes changes to other runs, and may delete ‘further’ runs, if the run is made empty during #2 Due to undefined way to create a ‘single run ‘(we now only create a whole chain of workflow runs) this only works properly for printing runs (first step in a workflow).
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource deleted successfully
400 Bad Request – Run cannot consist of no_model_upload, and non-no_model_uload line items. The system is busy printing. Please end the current process first. The requested prints do not have their associated line_items in either confirmed or printing state. The requested prints do not have same process types belonging to process steps. All the previous steps for the order should be completed before we can process these prints.
404 Not Found – The requested run or related object cannot be found.
409 Conflict – The requested status transformation is not allowed.
- GET /run-transformation/¶
- Query Parameters:
limit (integer) – Maximum number of resources to return
offset (integer) – Number of resources to skip
sort (string) – Sort order (prefix with ‘-’ for descending)
- Status Codes:
200 OK – Successful response with list of resources
400 Bad Request – invalid-payload
404 Not Found – The requested run transformation or related object cannot be found.
- POST /run-transformation/¶
Creates db promise to do the requested transform. runs action in-line, or in a background task.
Creates db promise to do the requested transform. runs action in-line, or in a background task. :param payload: :return:
- Status Codes:
201 Created – Resource created successfully
400 Bad Request – invalid-payload
404 Not Found – The requested run transformation or related object cannot be found.
- Response Headers:
Location – URI of the created resource
- GET /run-transformation/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
200 OK – Successful response
400 Bad Request – invalid-payload
404 Not Found – The requested run transformation or related object cannot be found.
- PUT /run-transformation/{uuid}/¶
- Parameters:
uuid (string) – The UUID of the resource
- Status Codes:
204 No Content – Resource updated successfully
400 Bad Request – invalid-payload
404 Not Found – The requested run transformation or related object cannot be found.